dcd-client(1)

NAME
dcd-client - autocompletion client for the D programming language

SYNOPSIS
dcd-client [-c, --cursorPos cursorPosition] [-p, --port portNumber] [-I directory] [-h, --help] [-l, --symbolLocation] [-s, --search symbolName] [-d, --doc] [-q, --query] [--shutdown] [--clearCache] [--version] [filename]

DESCRIPTION
dcd-client is a client for dcd-server and is typically used by text editor scripts.

OPTIONS
-c, --cursorPos cursorPosition
    Provides auto-completion at the given cursor position. The cursor position is measured in bytes from the beginning of the source code.
-p, --port portNumber
    Choose the port number on which dcd-client listens.
-I directory
    Informs dcd-server to cache any D source files found in directory so that they will be included in responses to future dcd-client requests.
-h, --help
    Prints a help message
-l, --symbolLocation
    Get the file name and position that the symbol at the cursor location was defined.
-s, --search symbolName
    List locations at which symbols with the given symbolName can be found.
-d, --doc
    Gets documentation comments associated with the symbol at the cursor location.
-q, --query
    Query the server statis. Returns 0 if the server is running. Returns 1 if the server could not be contacted.
--shutdown
    Instructs the server to shut down
--clearCache
    Instructs the server to clear its cache of auto-completion information.
filename
    Provides auto-completion information for the file with the given name.

AUTHOR
Written by Brian Schott (@Hackerpilot on Github)

BUGS
Please use the issue tracker located at https://github.com/Hackerpilot/DCD/issues

SEE ALSO
dcd-server(1)